Oracle Linux Security Advisory ELSA-2023-5363

https://linux.oracle.com/errata/ELSA-2023-5363.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
nodejs-18.17.1-1.module+el9.2.0+21169+1d24b6cc.x86_64.rpm
nodejs-devel-18.17.1-1.module+el9.2.0+21169+1d24b6cc.x86_64.rpm
nodejs-docs-18.17.1-1.module+el9.2.0+21169+1d24b6cc.noarch.rpm
nodejs-full-i18n-18.17.1-1.module+el9.2.0+21169+1d24b6cc.x86_64.rpm
nodejs-nodemon-3.0.1-1.module+el9.2.0+21169+1d24b6cc.noarch.rpm
nodejs-packaging-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm
nodejs-packaging-bundler-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm
npm-9.6.7-1.18.17.1.1.module+el9.2.0+21169+1d24b6cc.x86_64.rpm

aarch64:
nodejs-18.17.1-1.module+el9.2.0+21169+1d24b6cc.aarch64.rpm
nodejs-devel-18.17.1-1.module+el9.2.0+21169+1d24b6cc.aarch64.rpm
nodejs-docs-18.17.1-1.module+el9.2.0+21169+1d24b6cc.noarch.rpm
nodejs-full-i18n-18.17.1-1.module+el9.2.0+21169+1d24b6cc.aarch64.rpm
nodejs-nodemon-3.0.1-1.module+el9.2.0+21169+1d24b6cc.noarch.rpm
nodejs-packaging-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm
nodejs-packaging-bundler-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm
npm-9.6.7-1.18.17.1.1.module+el9.2.0+21169+1d24b6cc.aarch64.rpm


SRPMS:
https://oss.oracle.com/ol9/SRPMS-updates//nodejs-18.17.1-1.module+el9.2.0+21169+1d24b6cc.src.rpm
https://oss.oracle.com/ol9/SRPMS-updates//nodejs-nodemon-3.0.1-1.module+el9.2.0+21169+1d24b6cc.src.rpm
https://oss.oracle.com/ol9/SRPMS-updates//nodejs-packaging-2021.06-4.module+el9.1.0+20762+f52d7401.src.rpm

Related CVEs:

CVE-2022-25883
CVE-2023-32002
CVE-2023-32006
CVE-2023-32559




Description of changes:

nodejs
[1:18.17.1-1]
- Rebase to version 18.17.1
Resolves: rhbz#2228940
Resolves: CVE-2023-32002 CVE-2023-32006 CVE-2023-32559
- Specify proper OpenSSL configuration section build
Related: rhbz#2226726

nodejs-nodemon
[3.0.1-1]
- Rebase to 3.0.1
- Resolves: CVE-2022-25883

nodejs-packaging


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata

Oracle9: ELSA-2023-5363 : 18 security, bug fix, and enhancement Important Security Update

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

Summary

nodejs [1:18.17.1-1] - Rebase to version 18.17.1 Resolves: rhbz#2228940 Resolves: CVE-2023-32002 CVE-2023-32006 CVE-2023-32559 - Specify proper OpenSSL configuration section build Related: rhbz#2226726 nodejs-nodemon [3.0.1-1] - Rebase to 3.0.1 - Resolves: CVE-2022-25883 nodejs-packaging

SRPMs

https://oss.oracle.com/ol9/SRPMS-updates//nodejs-18.17.1-1.module+el9.2.0+21169+1d24b6cc.src.rpm https://oss.oracle.com/ol9/SRPMS-updates//nodejs-nodemon-3.0.1-1.module+el9.2.0+21169+1d24b6cc.src.rpm https://oss.oracle.com/ol9/SRPMS-updates//nodejs-packaging-2021.06-4.module+el9.1.0+20762+f52d7401.src.rpm

x86_64

nodejs-18.17.1-1.module+el9.2.0+21169+1d24b6cc.x86_64.rpm nodejs-devel-18.17.1-1.module+el9.2.0+21169+1d24b6cc.x86_64.rpm nodejs-docs-18.17.1-1.module+el9.2.0+21169+1d24b6cc.noarch.rpm nodejs-full-i18n-18.17.1-1.module+el9.2.0+21169+1d24b6cc.x86_64.rpm nodejs-nodemon-3.0.1-1.module+el9.2.0+21169+1d24b6cc.noarch.rpm nodejs-packaging-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm nodejs-packaging-bundler-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm npm-9.6.7-1.18.17.1.1.module+el9.2.0+21169+1d24b6cc.x86_64.rpm

aarch64

nodejs-18.17.1-1.module+el9.2.0+21169+1d24b6cc.aarch64.rpm nodejs-devel-18.17.1-1.module+el9.2.0+21169+1d24b6cc.aarch64.rpm nodejs-docs-18.17.1-1.module+el9.2.0+21169+1d24b6cc.noarch.rpm nodejs-full-i18n-18.17.1-1.module+el9.2.0+21169+1d24b6cc.aarch64.rpm nodejs-nodemon-3.0.1-1.module+el9.2.0+21169+1d24b6cc.noarch.rpm nodejs-packaging-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm nodejs-packaging-bundler-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm npm-9.6.7-1.18.17.1.1.module+el9.2.0+21169+1d24b6cc.aarch64.rpm

i386

Severity
Related CVEs: CVE-2022-25883 CVE-2023-32002 CVE-2023-32006 CVE-2023-32559